Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class VCARD

    java.lang.Object
      com.hp.hpl.jena.vocabulary.VCARD

    public class VCARD

extends java.lang.Object

VCARD vocabulary class for namespace http://www.w3.org/2001/vcard-rdf/3.0#

Field Summary
`static Property` | `ADR`
`static Resource` | `ADRPROPERTIES`
`static Resource` | `ADRTYPES`
`static Property` | `AGENT`
`static Property` | `BDAY`
`static Property` | `CATEGORIES`
`static Property` | `CLASS`
`static Property` | `Country`
`static Property` | `EMAIL`
`static Resource` | `EMAILTYPES`
`static Property` | `Extadd`
`static Property` | `Family`
`static Property` | `FN`
`static Property` | `GEO`
`static Property` | `Given`
`static Property` | `GROUP`
`static Property` | `KEY`
`static Property` | `LABEL`
`static Property` | `Locality`
`static Property` | `LOGO`
`static Property` | `MAILER`
`static Property` | `N`
`static Property` | `NAME`
`static Property` | `NICKNAME`
`static Property` | `NOTE`
`static Resource` | `NPROPERTIES`
`static Property` | `ORG`
`static Property` | `Orgname`
`static Resource` | `ORGPROPERTIES`
`static Property` | `Orgunit`
`static Property` | `Other`
`static Property` | `Pcode`
`static Property` | `PHOTO`
`static Property` | `Pobox`
`static Property` | `Prefix`
`static Property` | `PRODID`
`static Property` | `Region`
`static Property` | `REV`
`static Property` | `ROLE`
`static Property` | `SORT_STRING`
`static Property` | `SOUND`
`static Property` | `SOURCE`
`static Property` | `Street`
`static Property` | `Suffix`
`static Property` | `TEL`
`static Resource` | `TELTYPES`
`static Property` | `TITLE`
`static Property` | `TZ`
`static Resource` | `TZTYPES`
`static Property` | `UID`

Constructor Summary
`VCARD()`

Method Summary
`static java.lang.String` | `getURI()` returns the URI for this schema

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ORGPROPERTIES

    public static final Resource ORGPROPERTIES

### ADRTYPES

    public static final Resource ADRTYPES

### NPROPERTIES

    public static final Resource NPROPERTIES

### EMAILTYPES

    public static final Resource EMAILTYPES

### TELTYPES

    public static final Resource TELTYPES

### ADRPROPERTIES

    public static final Resource ADRPROPERTIES

### TZTYPES

    public static final Resource TZTYPES

### Street

    public static final Property Street

### AGENT

    public static final Property AGENT

### SOURCE

    public static final Property SOURCE

### LOGO

    public static final Property LOGO

### BDAY

    public static final Property BDAY

### REV

    public static final Property REV

### SORT_STRING

    public static final Property SORT_STRING

### Orgname

    public static final Property Orgname

### CATEGORIES

    public static final Property CATEGORIES

### N

    public static final Property N

### Pcode

    public static final Property Pcode

### Prefix

    public static final Property Prefix

### PHOTO

    public static final Property PHOTO

### FN

    public static final Property FN

### ORG

    public static final Property ORG

### Suffix

    public static final Property Suffix

### CLASS

    public static final Property CLASS

### ADR

    public static final Property ADR

### Region

    public static final Property Region

### GEO

    public static final Property GEO

### Extadd

    public static final Property Extadd

### GROUP

    public static final Property GROUP

### EMAIL

    public static final Property EMAIL

### UID

    public static final Property UID

### Family

    public static final Property Family

### TZ

    public static final Property TZ

### NAME

    public static final Property NAME

### Orgunit

    public static final Property Orgunit

### Country

    public static final Property Country

### SOUND

    public static final Property SOUND

### TITLE

    public static final Property TITLE

### NOTE

    public static final Property NOTE

### MAILER

    public static final Property MAILER

### Other

    public static final Property Other

### Locality

    public static final Property Locality

### Pobox

    public static final Property Pobox

### KEY

    public static final Property KEY

### PRODID

    public static final Property PRODID

### Given

    public static final Property Given

### LABEL

    public static final Property LABEL

### TEL

    public static final Property TEL

### NICKNAME

    public static final Property NICKNAME

### ROLE

    public static final Property ROLE

Constructor Detail

### VCARD

    public VCARD()

Method Detail

### getURI

    public static java.lang.String getURI()

  returns the URI for this schema

  Returns:
    the URI for this schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP